package br.ufrgs.inf.prosoft.tigris.exceptions;

/**
 * The type Storage exception.
 */
public class StorageException extends RuntimeException {

    /**
     * Instantiates a new Storage exception.
     *
     * @param message the message
     * @param cause   the cause
     */
    public StorageException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * Instantiates a new Storage exception.
     *
     * @param cause the cause
     */
    public StorageException(Throwable cause) {
        super(cause);
    }

    /**
     * Instantiates a new Storage exception.
     *
     * @param message the message
     */
    public StorageException(String message) {
        super(message);
    }
}
